<?php

/**
 * Plugin register gateway
 */
class BinPaymentByInvoiceForWoocommerce
{
	function __construct()
	{
		add_action('init', [$this, 'load_textdomain']);
		add_filter('woocommerce_payment_gateways', [$this, 'register_woocommerce_payment_gateways']);
	}
	
	public function load_textdomain()
	{
		// vars
		$domain = 'bin-payment-by-invoice-for-woocommerce';
		$locale = is_admin() && function_exists('get_user_locale') ? get_user_locale() : get_locale();
		$mofile = $domain.'-'.$locale.'.mo';

		// load from the languages directory first
		load_textdomain($domain, WP_LANG_DIR.'/plugins/'.$mofile);

		// redirect missing translations
		$mofile = str_replace('de_DE', 'de_CH', $mofile);

		// load from plugin lang folder
		$loaded = load_textdomain($domain, BIN_PAYMENT_BY_INVOICE_FOR_WOOCOMMERCE_DIR.'/languages/'.$mofile);
	}
	
	public function register_woocommerce_payment_gateways($gateways)
	{
		$gateways[] = 'WC_Payment_Gateway_BinPaymentByInvoiceForWoocommerce';
		return $gateways;
	}

}